//
// C++ Implementation: calc3djob
//
// Description: 
//
//
// Author: Werner Stille <kpl@werner-stille.de>, (C) 2017
//
// Copyright: See COPYING file that comes with this distribution
//
//

#include "calc3djob.h"

Calc3DJob::Calc3DJob(const double* x, const double* z, double** values,
                     double (*func)(double, double, const double*),
                     const double* par, int ix0, int nx, int nz) :
 CalcJob(z, 0, 0, par, nz), m_x(x), m_values3D(values), m_func3D(func),
 m_nx(nx), m_ix0(ix0)
{
}

Calc3DJob::~Calc3DJob()
{
}

void Calc3DJob::run(ThreadWeaver::JobPointer, ThreadWeaver::Thread*)
{
  for (int i = 0; i < m_nx; ++i) {
    int ix = m_ix0 + i;
    for (int iz = 0; iz < m_n; ++iz)
      m_values3D[ix][iz] = ((*m_func3D)(m_x[ix], m_t[iz], m_par));
  }
}
