/***************************************************************************
                          choosefuncdlg.cpp  -  description
                             -------------------
    begin                : Mit Jul 23 2003
    copyright            : (C) 2017 by Werner Stille
    email                : kpl@werner-stille.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <QDialogButtonBox>
#include <QLayout>
#include <QLineEdit>
#include <QListWidget>
#include <QPushButton>
#include <KLocalizedString>
#include "choosefuncdlg.h"

ChooseFuncDlg::ChooseFuncDlg(QWidget* parent, const QStringList& names,
                             QLineEdit* func0) :
 QDialog(parent), func(func0)
{
  setWindowTitle(i18n("Functions"));
  QVBoxLayout* vbox = new QVBoxLayout(this);
  vbox->addWidget(funcList = new QListWidget);
  foreach (QString s, names)
    new QListWidgetItem(s, funcList);
  QList<QListWidgetItem*> list = funcList->findItems(func->text(),
                                                     Qt::MatchExactly);
  if (!list.isEmpty())
    funcList->setCurrentItem(list.first());
  vbox->addWidget(buttonBox = new QDialogButtonBox(QDialogButtonBox::Ok |
                                                   QDialogButtonBox::Cancel));
  buttonBox->button(QDialogButtonBox::Ok)->setEnabled(false);
  connect(funcList, SIGNAL(itemDoubleClicked(QListWidgetItem*)),
          SLOT(slotList(QListWidgetItem*)));
  connect(funcList, SIGNAL(currentRowChanged(int)), SLOT(slotEdited()));
  connect(buttonBox, SIGNAL(accepted()), this, SLOT(accept()));
  connect(buttonBox, SIGNAL(rejected()), this, SLOT(reject()));
  resize(200, 200);
}

ChooseFuncDlg::~ChooseFuncDlg()
{
}

void ChooseFuncDlg::accept()
{
  QListWidgetItem* item = funcList->currentItem();
  if (item) {
    func->setText(item->text());
    QDialog::accept();
  }
}

void ChooseFuncDlg::slotEdited()
{
  buttonBox->button(QDialogButtonBox::Ok)->setEnabled(true);
}

void ChooseFuncDlg::slotList(QListWidgetItem* item)
{
  func->setText(item->text());
  accept();
}
