/***************************************************************************
                          refreshdlg.h  -  description
                             -------------------

    This file is a part of kpl - a program for graphical presentation of
    data sets and functions.

    begin                : Sun Apr 25 1999
    copyright            : (C) 2017 by Werner Stille
    email                : kpl@werner-stille.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef REFRESHDLG_H
#define REFRESHDLG_H

#include <QDialog>

class QCheckBox;
class QDialogButtonBox;
class QTimer;
class SpinBox;

/**
  * Load periodically dialog. Provides a dialog to setup periodically reloading.
  * @author Werner Stille
  */
class RefreshDlg : public QDialog
{
  Q_OBJECT
public:
  /**
   * Constructor.
   * @param parent parent widget.
   * @param timer pointer to timer.
   */
  RefreshDlg(QWidget* parent, QTimer* timer);
  /** Destructor. */
  ~RefreshDlg();

protected slots:
  /**
   * Handles button clicks.
   * @param button pointer to button.
   */
  virtual void slotButtonClicked(QAbstractButton* button);

protected:
  QTimer* timer;
  SpinBox* dt;
  QDialogButtonBox* buttonBox;
  QCheckBox* activate;
};

#endif
