/***************************************************************************
                          spinbox.h  -  description
                             -------------------
    begin                : Sun Apr 8 2001
    copyright            : (C) 2017 by Werner Stille
    email                : kpl@werner-stille.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SPINBOX_H
#define SPINBOX_H

#include <QSpinBox>

/**
  * Spinbox class. Provides additional constructor.
  * @author Werner Stille
  */

class SpinBox : public QSpinBox
{
public:
  /**
   * Constructor.
   * @param val initial value.
   * @param minValue minimum value.
   * @param maxValue maximum value.
   * @param step step size.
   * @param parent pointer to parent widget.
   */
  SpinBox(int val = 0, int minValue = 0, int maxValue = 99, int step = 1,
          QWidget* parent = 0);
  /** Destructor. */
  ~SpinBox();
};

#endif
